Bug 1538806 - [3.9] docker_image_availability check does not respect override variables for containerized components
Summary: [3.9] docker_image_availability check does not respect override variables for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.9.0
Assignee: Luke Meyer
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On:
Blocks: 1539146 1539150
TreeView+ depends on / blocked
 
Reported: 2018-01-25 21:35 UTC by Luke Meyer
Modified: 2018-03-28 14:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The docker_image_availability check did not take into account variables that override specific container images used for containerized components. Consequence: The check could incorrectly report failure looking for the default images when the overridden images to be used are actually available. Fix: The check now looks for override variables. Result: The check should accurately report whether the necessary images are available.
Clone Of:
: 1539146 1539150 (view as bug list)
Environment:
Last Closed: 2018-03-28 14:23:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0489 None None None 2018-03-28 14:23:35 UTC

Description Luke Meyer 2018-01-25 21:35:24 UTC
Description of problem:

When users perform an openshift-ansible install with containerized components and customize the image names by setting osn_image, osn_ovs_image, osm_image, or osm_etcd_image variables, the docker_image_availability check is still looking for the default component images.

Expected results:
This check should be looking for the images that the actual install will attempt to use.

Comment 2 Gan Huang 2018-02-02 09:05:15 UTC
Tested in openshift-ansible-3.9.0-0.34.0.git.0.c7d9585.el7.noarch.rpm and passed!

With osn_ovs_image, osn_image and osm_image set to the inexistent images,
installer failed as expected.

Comment 4 Gan Huang 2018-02-05 02:18:44 UTC
Per comment 2, verified in openshift-ansible-3.9.0-0.34.0.git.0.c7d9585.el7.noarch.rpm

Comment 7 errata-xmlrpc 2018-03-28 14:23:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0489


Note You need to log in before you can comment on or make changes to this bug.